Zum Inhalt springen
Anmelden Registrieren

Google Scholar Author API

Ruft das vollständige Profil eines Google-Scholar-Autors ab, einschließlich Publikationsliste, Zitationsmetriken und Kollegen. Setzen Sie engine=google_scholar_author und übergeben Sie die Autoren-ID in author_id.

GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
ParameterTypErforderlichBeschreibung
api_keystringjaIhr SERP-API-Schlüssel
enginestringjaMuss google_scholar_author sein
author_idstringjaDie Google-Scholar-Autoren-ID
devicestringneindesktop, mobile oder tablet
view_opstringneinview_citation oder list_colleagues
sortstringneintitle oder pubdate
citation_idstringneinErforderlich, wenn view_op=view_citation
hlstringneinSprachcode der Oberfläche
startintneinErgebnisoffset für die Paginierung
numintneinAnzahl der Ergebnisse pro Seite
Terminal-Fenster
curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"
{
"search_parameters": {
"engine": "google_scholar_author",
"author_id": "LSsXyncAAAAJ"
},
"author": {
"name": "Jane Doe",
"affiliations": "Professor, Stanford University",
"email": "Verified email at stanford.edu",
"interests": [ { "title": "Machine Learning" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
},
"articles": [
{
"title": "Deep learning for computer vision",
"link": "https://scholar.google.com/citations?view_op=view_citation&...",
"citation_id": "u5HHmVD_uO8C",
"year": "2015",
"cited_by": { "value": 4500 }
}
],
"cited_by": {
"table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ]
}
}